Update intrepid, jaunty, karmic and lucid to landscape-client 1.4.4

Bug #519200 reported by Free Ekanayaka on 2010-02-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Client
Medium
Free Ekanayaka
landscape-client (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Landscape Client 1.4.4 has been released. We would like to get these
changes into Lucid, Karmic, Intrepid and Jaunty.

As far as released version of Ubuntu are concerned, the required pieces
of information for the needed SRU follow (as laid out in the "Procedure"
section of https://wiki.ubuntu.com/StableReleaseUpdates).

=== Statement explaining the impact ===

New features have been developed since the versions of Landscape Client
that are currently in Intrepid, Jaunty and Karmic. We would like to make
sure all of our supported customers (even those on Intrepid and Jaunty
and Karmic) have access to these features. The notable ones are:

1) Support for installing server-generated meta-packages associated with
   a "Package profile" in the Landscape UI

2) Support for creating Smart package locks

3) Support for reporting Eucalyptus topology information

4) Several bug fixes which improve the overall user experience.

For more details see Bug #218388, Bug #514334,
Bug #517175, Bug #509752, Bug #517454, Bug #517453, Bug #518501 (all mentioned in
 the debian/changelog of the proposed packages).

=== How the bug has been addressed ===

We have been following the development procedure laid out in https://wiki.ubuntu.com/LandscapeUpdates

=== Patches ===

The three branches for the new landscape-client intrepid, jaunty and karmic source packages are attached to this bug, and are were derived from

lp:ubuntu/intrepid/landscape-client
lp:ubuntu/jaunty/landscape-client
lp:ubuntu/karmic/landscape-client

respectively.

=== Detailed instructions how to reproduce the bug ===

N/A

=== Discussion ===

All the source packages have been subject to the QA process detailed in the LandscapeUpdates document linked above.

description: updated
description: updated
description: updated
Changed in landscape-client:
milestone: 1.4.4 → 1.4.5
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.4-0ubuntu0.10.04

---------------
landscape-client (1.4.4-0ubuntu0.10.04) lucid; urgency=low

  * New upstream release (LP: #519200):
    - Add a message for creating package locks (LP: #514334)
    - Add support for auto-approved change-packages messages (LP: #517175)
    - Add support for installing server-generated debian packages (LP: #509752)
    - Add support for reporting Eucalyptus topology information (LP: #518501)
    - Fix timeout while inserting large free-space message (LP: #218388)
    - Fix wrong log path in motd (LP: #517454)
    - Fix race condition in process excecution (LP: #517453)
 -- Free Ekanayaka <email address hidden> Wed, 10 Feb 2010 18:50:53 +0100

Changed in landscape-client (Ubuntu):
status: New → Fix Released

Accepted landscape-client into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Intrepid):
status: New → Fix Committed
tags: added: verification-needed
Changed in landscape-client (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client:
status: In Progress → Fix Committed
tags: added: testing
tags: added: needs-testing
Jamu Kakar (jkakar) on 2010-03-15
tags: removed: testing
Free Ekanayaka (free.ekanayaka) wrote :

The landscape-client packages in karmic-proposed, jaunty-proposed and intrepid-proposed has been fully tested for several weeks. It's now possible to move it to -updates, please go ahead with that. Thanks.

Martin Pitt (pitti) on 2010-03-22
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.4-0ubuntu0.9.10

---------------
landscape-client (1.4.4-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release (LP: #519200):
    - Add a message for creating package locks (LP: #514334)
    - Add support for auto-approved change-packages messages (LP: #517175)
    - Add support for installing server-generated debian packages (LP: #509752)
    - Add support for reporting Eucalyptus topology information (LP: #518501)
    - Fix timeout while inserting large free-space message (LP: #218388)
    - Fix wrong log path in motd (LP: #517454)
    - Fix race condition in process excecution (LP: #517453)
 -- Free Ekanayaka <email address hidden> Wed, 10 Feb 2010 18:49:25 +0100

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.4-0ubuntu0.9.04

---------------
landscape-client (1.4.4-0ubuntu0.9.04) jaunty-proposed; urgency=low

  * New upstream release (LP: #519200):
    - Add a message for creating package locks (LP: #514334)
    - Add support for auto-approved change-packages messages (LP: #517175)
    - Add support for installing server-generated debian packages (LP: #509752)
    - Add support for reporting Eucalyptus topology information (LP: #518501)
    - Fix timeout while inserting large free-space message (LP: #218388)
    - Fix wrong log path in motd (LP: #517454)
    - Fix race condition in process excecution (LP: #517453)
 -- Free Ekanayaka <email address hidden> Wed, 10 Feb 2010 18:41:52 +0100

Changed in landscape-client (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.4-0ubuntu0.8.10

---------------
landscape-client (1.4.4-0ubuntu0.8.10) intrepid-proposed; urgency=low

  * New upstream release (LP: #519200):
    - Add a message for creating package locks (LP: #514334)
    - Add support for auto-approved change-packages messages (LP: #517175)
    - Add support for installing server-generated debian packages (LP: #509752)
    - Add support for reporting Eucalyptus topology information (LP: #518501)
    - Fix timeout while inserting large free-space message (LP: #218388)
    - Fix wrong log path in motd (LP: #517454)
    - Fix race condition in process excecution (LP: #517453)
 -- Free Ekanayaka <email address hidden> Wed, 10 Feb 2010 18:40:45 +0100

Changed in landscape-client (Ubuntu Intrepid):
status: Fix Committed → Fix Released
tags: removed: needs-testing
Changed in landscape-client:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers